pcl::FastBilateralFilter< PointT >::Array3D Class Reference

`#include <pcl/filters/fast_bilateral.h>`

## Public Member Functions

| Array3D (const size_t width, const size_t height, const size_t depth)
Eigen::Vector2f & | operator() (const size_t x, const size_t y, const size_t z)
const Eigen::Vector2f & | operator() (const size_t x, const size_t y, const size_t z) const
void | resize (const size_t width, const size_t height, const size_t depth)
Eigen::Vector2f | trilinear_interpolation (const float x, const float y, const float z)
size_t | x_size () const
size_t | y_size () const
size_t | z_size () const
std::vector< Eigen::Vector2f >::iterator | begin ()
std::vector< Eigen::Vector2f >::iterator | end ()
std::vector< Eigen::Vector2f >::const_iterator | begin () const
std::vector< Eigen::Vector2f >::const_iterator | end () const

## Static Public Member Functions

static size_t | clamp (const size_t min_value, const size_t max_value, const size_t x)

## Detailed Description

### template<typename PointT>
class pcl::FastBilateralFilter< PointT >::Array3D

Definition at line 117 of file fast_bilateral.h.

## Constructor & Destructor Documentation

template<typename PointT >

pcl::FastBilateralFilter< PointT >::Array3D::Array3D | ( | const size_t | width,
|  | const size_t | height,
|  | const size_t | depth
| ) |  |

inline

Definition at line 120 of file fast_bilateral.h.

## Member Function Documentation

template<typename PointT >

std::vector<Eigen::Vector2f >::iterator pcl::FastBilateralFilter< PointT >::Array3D::begin | ( |  | ) |

inline

Definition at line 168 of file fast_bilateral.h.

Referenced by pcl::FastBilateralFilterOMP< PointT >::applyFilter(), and pcl::FastBilateralFilter< PointT >::applyFilter().

template<typename PointT >

std::vector<Eigen::Vector2f >::const_iterator pcl::FastBilateralFilter< PointT >::Array3D::begin | ( |  | ) | const

inline

Definition at line 176 of file fast_bilateral.h.

template<typename PointT >

size_t pcl::FastBilateralFilter< PointT >::Array3D::clamp | ( | const size_t | min_value,
|  | const size_t | max_value,
|  | const size_t | x
| ) |  |

inline static

Definition at line 170 of file fast_bilateral.hpp.

Referenced by pcl::FastBilateralFilter< PointT >::Array3D::resize(), and pcl::FastBilateralFilter< PointT >::Array3D::trilinear_interpolation().

template<typename PointT >

std::vector<Eigen::Vector2f >::iterator pcl::FastBilateralFilter< PointT >::Array3D::end | ( |  | ) |

inline

Definition at line 172 of file fast_bilateral.h.

Referenced by pcl::FastBilateralFilterOMP< PointT >::applyFilter(), and pcl::FastBilateralFilter< PointT >::applyFilter().

template<typename PointT >

std::vector<Eigen::Vector2f >::const_iterator pcl::FastBilateralFilter< PointT >::Array3D::end | ( |  | ) | const

inline

Definition at line 180 of file fast_bilateral.h.

template<typename PointT >

Eigen::Vector2f& pcl::FastBilateralFilter< PointT >::Array3D::operator() | ( | const size_t | x,
|  | const size_t | y,
|  | const size_t | z
| ) |  |

inline

Definition at line 129 of file fast_bilateral.h.

template<typename PointT >

const Eigen::Vector2f& pcl::FastBilateralFilter< PointT >::Array3D::operator() | ( | const size_t | x,
|  | const size_t | y,
|  | const size_t | z
| ) |  | const

inline

Definition at line 133 of file fast_bilateral.h.

template<typename PointT >

void pcl::FastBilateralFilter< PointT >::Array3D::resize | ( | const size_t | width,
|  | const size_t | height,
|  | const size_t | depth
| ) |  |

inline

Definition at line 137 of file fast_bilateral.h.

References pcl::FastBilateralFilter< PointT >::Array3D::clamp(), and pcl::FastBilateralFilter< PointT >::Array3D::trilinear_interpolation().

template<typename PointT >

Eigen::Vector2f pcl::FastBilateralFilter< PointT >::Array3D::trilinear_interpolation | ( | const float | x,
|  | const float | y,
|  | const float | z
| ) |  |

Definition at line 190 of file fast_bilateral.hpp.

References pcl::FastBilateralFilter< PointT >::Array3D::clamp().

Referenced by pcl::FastBilateralFilterOMP< PointT >::applyFilter(), pcl::FastBilateralFilter< PointT >::applyFilter(), and pcl::FastBilateralFilter< PointT >::Array3D::resize().

template<typename PointT >

size_t pcl::FastBilateralFilter< PointT >::Array3D::x_size | ( |  | ) | const

inline

Definition at line 156 of file fast_bilateral.h.

template<typename PointT >

size_t pcl::FastBilateralFilter< PointT >::Array3D::y_size | ( |  | ) | const

inline

Definition at line 160 of file fast_bilateral.h.

template<typename PointT >

size_t pcl::FastBilateralFilter< PointT >::Array3D::z_size | ( |  | ) | const

inline

Definition at line 164 of file fast_bilateral.h.

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/filters/include/pcl/filters/fast_bilateral.h
- /build/pcl-6_P28C/pcl-1.7.2/filters/include/pcl/filters/impl/fast_bilateral.hpp